Texa DeskDevelopers

Texa Desk Application API · Reports

Agent Conversation Metrics

GET/api/v2/accounts/{account_id}/reports/conversations/

Get conversation metrics for Agent

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

Query parameters

typestringrequired

Type of report

user_idstring

The numeric ID of the user

Responses

200

Success

idnumber
namestring
emailstring
thumbnailstring
availabilitystring
metricobject
metric.opennumber
metric.unattendednumber
404

reports not found

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
403

Access denied

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring